Attribute VB_Name = "CARDS"
Global Const Clubs = 0              'Some constants to make game functions more clear
Global Const Diamonds = 1
Global Const Hearts = 2
Global Const Spades = 3
Global Const AnySuit = 4
Global Const AnyCard = 13
Global Const NoCard = 52

Global Const ordFaces = 0           'How are we rendering our card?
Global Const ordBacks = 1
Global Const ordInvert = 2

Global Const ordCrossHatch = 53     'What cardback will we be using?
Global Const ordPlaid = 54
Global Const ordWeave = 55
Global Const ordRobot = 56
Global Const ordRoses = 57
Global Const ordIvyBlack = 58
Global Const ordIvyBlue = 59
Global Const ordFishCyan = 60
Global Const ordFishBlue = 61
Global Const ordShell = 62
Global Const ordCastle = 63
Global Const ordBeach = 64
Global Const ordCardHand = 65
Global Const ordUnused = 66
Global Const ordX = 67
Global Const ordO = 68

'The Cards32.DLL declares:
Declare Function cdtInit Lib "Cards32.Dll" (dx As Long, dy As Long) As Long
Declare Function cdtDrawExt Lib "Cards32.Dll" (ByVal hdc As Long, ByVal X As Long, ByVal Y As Long, ByVal dx As Long, ByVal dy As Long, ByVal ordCard As Long, ByVal iDraw As Long, ByVal clr As Long) As Long
Declare Function cdtDraw Lib "Cards32.Dll" (ByVal hdc As Long, ByVal X As Long, ByVal Y As Long, ByVal iCard As Long, ByVal iDraw As Long, ByVal clr As Long) As Long
Declare Function cdtTerm Lib "Cards32.Dll" () As Long

'Some globals to pass between various forms
Global bytCurrentSuit As Byte          'What is the currently nominated suit?
Global intPlayer1Score As Integer      'How many points has player1 accumulated?
Global intPlayer2Score As Integer      'How many points has player2 accumulated?
Global intPlayer3Score As Integer      'How many points has player3 accumulated?
Global intPlayer4Score As Integer      'How many points has player4 accumulated?
Global intMaxScore As Integer          'How many points before the game's over?
Global intStartCards As Integer        'How many cards does each player start with?
