VERSION 5.00
Begin VB.Form frmOptions 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Options"
   ClientHeight    =   1335
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   2580
   Icon            =   "frmOptions.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   1335
   ScaleWidth      =   2580
   StartUpPosition =   1  'CenterOwner
   Begin VB.CommandButton cmdCancel 
      Cancel          =   -1  'True
      Caption         =   "&Cancel"
      Height          =   375
      Left            =   1320
      TabIndex        =   5
      Top             =   840
      Width           =   1095
   End
   Begin VB.CommandButton cmdSet 
      Caption         =   "&Set Options"
      Default         =   -1  'True
      Height          =   375
      Left            =   120
      TabIndex        =   4
      Top             =   840
      Width           =   1095
   End
   Begin VB.TextBox txtEnd 
      Height          =   285
      Left            =   1560
      TabIndex        =   3
      Top             =   480
      Width           =   855
   End
   Begin VB.TextBox txtCards 
      Height          =   285
      Left            =   1560
      TabIndex        =   2
      Top             =   120
      Width           =   855
   End
   Begin VB.Label lblOpt 
      Caption         =   "Game Ends At:"
      Height          =   255
      Index           =   1
      Left            =   120
      TabIndex        =   1
      Top             =   560
      Width           =   1335
   End
   Begin VB.Label lblOpt 
      Caption         =   "Cards Per Player:"
      Height          =   255
      Index           =   0
      Left            =   120
      TabIndex        =   0
      Top             =   200
      Width           =   1335
   End
End
Attribute VB_Name = "frmOptions"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Sub Form_Load()

    'Load the current setting into the text boxes
    txtCards.Text = intStartCards
    txtEnd.Text = intMaxScore

End Sub

Private Sub cmdSet_Click()

    'Validate the data
    On Error Resume Next
    If CInt(txtCards.Text) < 5 Or CInt(txtCards.Text) > 10 Or IsError(CInt(txtCards.Text)) Then
        MsgBox "Please enter a number between 5 and 10 for 'Cards Per Player'", vbOKOnly, "Invalid Input"
        'Select the erroneous entry
        txtCards.SetFocus
        txtCards.SelStart = 0
        txtCards.SelLength = Len(txtCards.Text)
        Exit Sub
    End If
    If CInt(txtEnd.Text) < 1 Or CInt(txtEnd.Text) > 1000 Or IsError(CInt(txtEnd.Text)) Then
        MsgBox "Please enter a number between 1 and 1000 for 'Game Ends At'", vbOKOnly, "Invalid Input"
        'Select the erroneous entry
        txtEnd.SetFocus
        txtEnd.SelStart = 0
        txtEnd.SelLength = Len(txtEnd.Text)
        Exit Sub
    End If
    On Error GoTo 0
    
    'Save the data and exit
    intStartCards = CInt(txtCards.Text)
    intMaxScore = CInt(txtEnd.Text)
    Unload Me

End Sub

Private Sub cmdCancel_Click()

    'Don't change the options
    Unload Me

End Sub

